clear 

cd "/Users/xiaoxiaoli/Dropbox/Xiao/NLSY79/Degree/Degree"

use Degree

  foreach x of varlist q3_10b_1988-q3_10e_y_2020{
	replace `x'=. if `x'==-5  // - NON-INTERVIEW
	replace `x'=. if `x'==-4  // - VALID SKIP
	replace `x'=. if `x'==-3  // - Invalid Skip
	replace `x'=. if `x'==-2  // - Don't Know
	replace `x'=. if `x'==-1  // - Refusal
  }

foreach x in 2008 2010 2012 2014 2016 2018 2020{
	replace q3_10b_`x' = q3_10d_`x' if q3_10b_`x'==.
	replace q3_10c_m_`x' = q3_10e_m_`x' if q3_10c_m_`x'==.
	replace q3_10c_y_`x' = q3_10e_y_`x' if q3_10c_y_`x'==. 
}
drop q3_10d_* q3_10e_m_* q3_10e_y_*

drop sample_id_1979 sample_race_78scrn sample_sex_1979

reshape long q3_10b_ q3_10c_m_ q3_10c_y_, i(caseid_1979) j(year)  
rename q3_10b_ Degree
rename q3_10c_m_ DegreeMonth
rename q3_10c_y_ DegreeYear

count if Degree ==.   // 220,398

save Degree_Cleaned, replace
