cd "D:\Download in D\NLSY79\"

*****************************************************************

*** Cognitive Ability: ARMED FORCES QUALIFICATION TEST (AFQT) ***

clear 
use "Ability_Cog_AFQT.dta"

*** Cognitive Ability: ASVAB VOCATIONAL TEST ***

merge 1:1 caseid_1979 using Ability_Cog_ASVAB 
drop _merge
* drop detailed questions 
drop asvab_ar_1_xrnd - asvab_ar_30_xrnd
drop asvab_wk_1_xrnd - asvab_wk_35_xrnd
drop asvab_pc_1_xrnd - asvab_pc_15_xrnd
drop asvab_mk_1_xrnd - asvab_mk_25_xrnd

*** Cognitive Ability: IQ SCORE ***

merge 1:1 caseid_1979 using Ability_Cog_IQ 
drop _merge
* too few observations
drop schsur_8_1979-schsur_49a_1979

*****************************************************************

*** Non-Cognitive Ability: Rotter Locus of Control Scale ***

merge 1:1 caseid_1979 using Ability_NonCog_ROTTER 
drop _merge
* drop detailed questions 
*drop rotter_1a_1979-rotter_4b_1979
drop rotter_1a_2014-rotter_4b_2014
drop rotter_1a_2016-rotter_4b_2016

*** Non-Cognitive Ability: Rosenberg Self-Esteem ***

merge 1:1 caseid_1979 using Ability_NonCog_ROSENBERG 
drop _merge
* drop detailed questions 
*drop rosenberg_esteem_000001_1980-rosenberg_esteem_000010_1980
drop rosenberg_esteem_000001_1987-rosenberg_esteem_000010_1987

*** Non-Cognitive Ability: Pearlin Mastery Scale ***

merge 1:1 caseid_1979 using Ability_NonCog_PEARLIN 
drop _merge
* drop detailed questions 
drop pearlin_1_1992-pearlin_7_1992
* drop for now - Note Used Elsewhere
drop pearlin_score_1992 - pearlin_zscorecw_percentile_1992

*****************************************************************

drop sample_id_1979 sample_race_78scrn sample_sex_1979

foreach var of varlist afqt_1_1981 - rosenberg_esteem_score_2006 {
	replace `var'=. if `var'==-5  // - NON-INTERVIEW
	replace `var'=. if `var'==-4  // - VALID SKIP
	replace `var'=. if `var'==-3  // - Invalid Skip
	replace `var'=. if `var'==-2  // - Don't Know
	replace `var'=. if `var'==-1  // - Refusal
}

save Time-Inv_Ability, replace
