cd "D:\Download in D\NLSY79\"

clear 
use "Education_Cleaned.dta"

merge 1:1 caseid_1979 year using Salary_Cleaned 
/*
    Result                           # of obs.
    -----------------------------------------
    not matched                             0
    matched                           342,522  (_merge==3)
    -----------------------------------------
*/
drop _merge

merge 1:1 caseid_1979 year using HourlyWage_HoursWorked 
drop _merge

merge 1:1 caseid_1979 year using Tenure_Cleaned 
drop _merge

merge 1:1 caseid_1979 year using Calendar_HoursWeeksJobs_Cleaned 
drop _merge

merge 1:1 caseid_1979 year using Employment_Cleaned 
drop _merge

merge 1:1 caseid_1979 year using Age_Cleaned 
drop _merge

merge 1:1 caseid_1979 year using Marriage_Cleaned 
drop _merge

save Time-Variant, replace

/*
\merge 1:1 caseid_1979 year using  "/Users/xiaoxiaoli/Dropbox/Xiao/Project - Heterogenous Ability with Evan/Z_NLSY79/Detailed Data and Code/Degree_Cleaned.dta"

    Result                           # of obs.
    -----------------------------------------
    not matched                       139,546
        from master                   114,174  (_merge==1)
        from using                     25,372  (_merge==2) ->2018 + 2020

    matched                           228,348  (_merge==3)
    -----------------------------------------
drop if _merge==2
drop _merge
order Degree DegreeMonth DegreeYear,  a(Education) 
save Time-Variant-withDegree, replace
*/

